com.singularsys.jep.functions

## Enum ArrayFunctionBase.ZeroLengthErrorBehaviour

- java.lang.Object
- - java.lang.Enum<ArrayFunctionBase.ZeroLengthErrorBehaviour>
  - - com.singularsys.jep.functions.ArrayFunctionBase.ZeroLengthErrorBehaviour

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ArrayFunctionBase.ZeroLengthErrorBehaviour>
  Enclosing class:
    ArrayFunctionBase

      public static enum ArrayFunctionBase.ZeroLengthErrorBehaviour
      extends java.lang.Enum<ArrayFunctionBase.ZeroLengthErrorBehaviour>

  How to respond to a zero length array as argument

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXCEPTION` Signals that an error is thrown
    `NAN` Signals that NaN is returned

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ArrayFunctionBase.ZeroLengthErrorBehaviour` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ArrayFunctionBase.ZeroLengthErrorBehaviour[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXCEPTION

          public static final ArrayFunctionBase.ZeroLengthErrorBehaviour EXCEPTION

      Signals that an error is thrown

    - #### NAN

          public static final ArrayFunctionBase.ZeroLengthErrorBehaviour NAN

      Signals that NaN is returned

  - ### Method Detail

    - #### values

          public static ArrayFunctionBase.ZeroLengthErrorBehaviour[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ArrayFunctionBase.ZeroLengthErrorBehaviour c : ArrayFunctionBase.ZeroLengthErrorBehaviour.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ArrayFunctionBase.ZeroLengthErrorBehaviour valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 Singular Systems http://www.singularsys.com/jep